# $Id$
# Authority: dag

Summary: RADIUS protocol client library
Name: radiusclient-ng
Version: 0.5.6
Release: 5%{?dist}
License: BSD
Group: Applications/Internet
URL: http://developer.berlios.de/projects/radiusclient-ng/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source0: http://download.berlios.de/radiusclient/radiusclient-ng-%{version}.tar.gz
Patch0: radiusclient-ng-0.5.6-etc-install.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool

%description
Portable, easy-to-use and standard compliant library suitable for
developing free and commercial software that need support for a RADIUS
protocol (RFCs 2128 and 2139).

%package devel
Summary: Development files for radiusclient-ng
Group: Development/Libraries
Requires: radiusclient-ng = %{version}-%{release}

Obsoletes: radiusclient-devel <= %{version}-%{release}
Provides: radiusclient-devel = %{version}-%{release}

%description devel
Development files for radiusclient-ng.

%package utils
Summary: Utility programs for radiusclient-ng
Group: Applications/Internet
Requires: radiusclient-ng = %{version}-%{release}

Obsoletes: radiusclient <= %{version}-%{release}
Provides: radiusclient = %{version}-%{release}

%description utils
Utility programs for radiusclient-ng.

%prep
%setup
%patch0 -p1

%build
# Need to re-run autconf & automake so that --disable-rpath works and
# the patches to various autoconf/automake files get picked up.
libtoolize --force
aclocal
autoconf
autoheader
automake --add-missing --copy

%configure --disable-static --disable-rpath
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}"

%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root, 0755)
%doc BUGS CHANGES COPYRIGHT doc/instop.html README
%config(noreplace) %{_sysconfdir}/radiusclient-ng/
%{_datadir}/radiusclient-ng/
%{_libdir}/libradiusclient-ng.so.*

%files devel
%defattr(-, root, root, 0755)
%doc COPYRIGHT
%{_includedir}/radiusclient-ng.h
%{_libdir}/libradiusclient-ng.so
%exclude %{_libdir}/libradiusclient-ng.la

%files utils
%defattr(-, root, root, 0755)
%doc COPYRIGHT
%{_sbindir}/login.radius
%{_sbindir}/radacct
%{_sbindir}/radiusclient
%{_sbindir}/radlogin
%{_sbindir}/radstatus
%exclude %{_sbindir}/radexample

%changelog
* Fri Nov 26 2010 Dag Wieers <dag@wieers.com> - 0.5.6-1
- Initial package. (based on fedora)
